%global __brp_check_rpaths %{nil}
%global packname  u5mr
%global packver   0.1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.1
Release:          1%{?dist}%{?buildtag}
Summary:          Under-Five Child Mortality Estimation

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.0.0
Requires:         R-core >= 4.0.0
BuildArch:        noarch
BuildRequires:    R-CRAN-lifecycle 
Requires:         R-CRAN-lifecycle 

%description
Contains functions for calculating under-five child mortality estimates
using the Trussell version of the Brass method (United Nations (1990)
<https://www.un.org/en/development/desa/population/publications/pdf/mortality/stepguide_childmort.pdf>
and United Nations (1983)
<https://www.un.org/en/development/desa/population/publications/pdf/mortality/stepguide_childmort.pdf>)
as well as applying the cohort-derived methods by Rajaratnam and
colleagues (Rajaratnam JK, Tran LN, Lopez AD, Murray CJL (2010) "Measuring
Under-Five Mortality: Validation of New Low-Cost Methods"
<doi:10.1371/journal.pmed.1000253>).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
